net.sf.saxon.type

## Class SchemaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - javax.xml.transform.TransformerConfigurationException
        - - net.sf.saxon.type.SchemaException

- All Implemented Interfaces:
    Serializable

      public class SchemaException
      extends TransformerConfigurationException

  An exception that identifies an error in reading, parsing, or validating a schema.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaException()` Creates a new XMLException with no message or nested Exception.
    `SchemaException(String message)` Creates a new XMLException with the given message.
    `SchemaException(String message, SourceLocator locator)`
    `SchemaException(String message, Throwable exception)` Creates a new XMLException with the given message and nested exception.
    `SchemaException(Throwable exception)` Creates a new XMLException with the given nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaException

          public SchemaException()

      Creates a new XMLException with no message or nested Exception.

    - #### SchemaException

          public SchemaException(String message,
                         SourceLocator locator)

    - #### SchemaException

          public SchemaException(String message)

      Creates a new XMLException with the given message.
      Parameters:
        `message` - the message for this Exception

    - #### SchemaException

          public SchemaException(Throwable exception)

      Creates a new XMLException with the given nested exception.
      Parameters:
        `exception` - the nested exception

    - #### SchemaException

          public SchemaException(String message,
                         Throwable exception)

      Creates a new XMLException with the given message and nested exception.
      Parameters:
        `message` - the detail message for this exception
        `exception` - the nested exception

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.